Welcome to the Oculus Developer Forums!

Your participation on the forum is subject to the Oculus Code of Conduct.

In general, please be respectful and kind. If you violate the Oculus Code of Conduct, your access to the developer forums may be revoked at the discretion of Oculus staff.

Error: "Package Access Helper has stopped"

JaninaWoodsJaninaWoods Posts: 35
edited June 2015 in VR Jam 2015
Hi all,

My Note 4 upgraded itself to 5.0.1 (Lollipop)... The already installed test builds of my app still run fine (thank god), but I can't seem to install any more APKs now. It always says "Unfortunately, Package Access Helper has stopped."

Anyone else with this problem? Or maybe even a solution? :(
Check out my 2013 VRJam finalist game: http://shinyvr.com/

Comments

  • mattratcliffemattratcliffe Posts: 45
    Brain Burst
    Having the exact same problem here, phone updated itself and no longer able to build and run from Unity. Proper annoying!
    I would also be very happy if there is a solution otherwise I will be wiping and installing an older version.

    cheers
    Matt
    Deep Sea Diving VR experience (with hugs from sharks!) here

    http://www.mastersofpie.com
  • cyberealitycybereality Posts: 26,156 Oculus Staff
    Seems like this is not VR related, as I have seen this reported with regular mobile users as well on other forums.
    AMD Ryzen 7 1800X | MSI X370 Titanium | G.Skill 16GB DDR4 3200 | EVGA SuperNOVA 1000 | Corsair Hydro H110i
    Gigabyte RX Vega 64 x2 | Samsung 960 Evo M.2 500GB | Seagate FireCuda SSHD 2TB | Phanteks ENTHOO EVOLV
  • mattratcliffemattratcliffe Posts: 45
    Brain Burst
    Hey guys

    Well I got my builds to work by removing the SD card out the back. Not an ideal situation but I can test my builds again. As Cyber rightly said it looks like a Samsung issue, I hope they sort it out soon as this could cause some fun when people want to try out all the APK's :?

    Hope that helps
    Cheers
    Matt
    Deep Sea Diving VR experience (with hugs from sharks!) here

    http://www.mastersofpie.com
  • JaninaWoodsJaninaWoods Posts: 35

    Well I got my builds to work by removing the SD card out the back. Not an ideal situation but I can test my builds again. As Cyber rightly said it looks like a Samsung issue, I hope they sort it out soon as this could cause some fun when people want to try out all the APK's :?

    You're a lifesaver Matt!
    I can install while the SD card is not in the device, and then normally play it even if I put the card back in - just as long as it's not inserted during the install process. That's a fiddly solution, but at least it works now... I hope they either fix it until next week or the judges know about the problem, so they won't discard any APKs that don't install because of the Samsung bug.
    Check out my 2013 VRJam finalist game: http://shinyvr.com/
  • mattratcliffemattratcliffe Posts: 45
    Brain Burst
    No worries, glad it helped. Very bizarre bug and I hope it gets fixed soon.
    Deep Sea Diving VR experience (with hugs from sharks!) here

    http://www.mastersofpie.com
  • rjmig88rjmig88 Posts: 83
    I had the same issue when I flashed my phone to Lollipop. I was able to fix it by going to Edit -> Project Preferences -> Player, click on the android tab, then setting Install Location to Automatic under Other Settings. Haven't gotten this error once since then.

    While you're here you should also change your bundle identifier to something unique. If you keep it on the default Oculus one then other people won't be able to install your apk.
  • yosunyosun Posts: 69
    Hiro Protagonist
    edited May 2015
    I keep getting this error with larger builds...

    I'm using Unity 4.6.3 + OVR 0.5.0

    Does the solution above work for other versions?

    [corrected -
    ChallengePost: yosun
    SMS: 415-77-YOSUN
    Twitter: @yosun

    Some old public hacks.
  • JaninaWoodsJaninaWoods Posts: 35
    yosun wrote:
    I keep getting this error with larger builds...

    I'm using Unity 4.3.4 + OVR 0.5.0

    Does the solution above work for other versions?

    Update from my side:
    I've been using the following config, which works on my phone, as well as the global signing
    Unity 4.3.4 + OVR Mobile SDK 0.5.1 + Install location: Force Internal
    Phone is on Lollipop, my APK is roughly 170mb (does that count as large? I guess it does)

    I had to remove my SD card once, reboot the phone, insert the card again. Since then all the installs have run through without problem. Hope this helps.:)
    Check out my 2013 VRJam finalist game: http://shinyvr.com/
  • yosunyosun Posts: 69
    Hiro Protagonist
    Did you upgrade to 0.5.1 from 0.5.0? (Also, assuming you meant Unity 4.6.4? Did you have this issue in 4.6.3?)

    Here's the error from Unity:

    Installation failed with the following output:
    pkg: /data/local/tmp/Package.apk
    Failure [0]
    5378 KB/s (65697513 bytes in 11.928s)
    ChallengePost: yosun
    SMS: 415-77-YOSUN
    Twitter: @yosun

    Some old public hacks.
  • JaninaWoodsJaninaWoods Posts: 35
    Oh, yeah. Unity 4.6.4, sorry. Typo :)

    Yes, upgraded from 0.5.0 to 0.5.1. And, no I haven't had any issues in 4.6.3 either. And unfortunately have never seen your error before. :(
    Check out my 2013 VRJam finalist game: http://shinyvr.com/
  • yosunyosun Posts: 69
    Hiro Protagonist
    Package Access Helper is the error that shows up on Note

    Unity console (and adb) on computer shows the Failure 0 error.
    ChallengePost: yosun
    SMS: 415-77-YOSUN
    Twitter: @yosun

    Some old public hacks.
  • yosunyosun Posts: 69
    Hiro Protagonist
    Solution:
    1. get rid of all reflections in your code
    2. strip assemblies: micro mscorlib level (build settings)
    ChallengePost: yosun
    SMS: 415-77-YOSUN
    Twitter: @yosun

    Some old public hacks.
  • vOwlvOwl Posts: 20 Oculus Start Member
    Solution (for me)
    Player Settings... -> Install Location -> Force Internal
  • pashustwopashustwo Posts: 36
    Force Internal fixed this problem for us too.
Sign In or Register to comment.